Bug 96165 - repo-copy: net/openldap23-* to net/openldap24-* to add openldap2.4.0alpha
Summary: repo-copy: net/openldap23-* to net/openldap24-* to add openldap2.4.0alpha
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-22 20:30 UTC by Joerg Pulz
Modified: 2006-05-26 03:52 UTC (History)
0 users

See Also:


Attachments
net_openldap24-server.diff (15.77 KB, patch)
2006-04-22 20:30 UTC, Joerg Pulz
no flags Details | Diff
net_openldap24-sasl-client.diff (910 bytes, patch)
2006-04-22 20:30 UTC, Joerg Pulz
no flags Details | Diff
file.diff (721 bytes, patch)
2006-04-22 20:30 UTC, Joerg Pulz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg Pulz 2006-04-22 20:30:15 UTC
	OpenLDAP-2.4.0alpha is the first publically available release of the
	upcoming 2.4 series. It is meant as test-release for people who want to
	give the new features (overlays, backends and new LDAPv3 extensions) a
	try and should NOT be used in production environments.
	These ports are provided to keep up with the recent OpenLDAP development
	and to make sure that there will be good support for FreeBSD.
	The ports can, and should, also be used to test applications to make
	sure that they still work with the new version.

	Tested on:	RELENG_6_1 i386, amd64, sparc64
			CURRENT i386, amd64

Fix: repo-copy:
	  net/openldap23-server		-> net/openldap24-server
	  net/openldap23-client		-> net/openldap24-client
	  net/openldap23-sasl-client	-> net/openldap24-sasl-client

	- apply the attached patches to the repo-copied directories and
	  to Mk/bsd.port.mk

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/openldap23-client/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- Makefile	15 Sep 2005 11:47:24 -0000	1.5
+++ Makefile	22 Apr 2006 18:32:10 -0000
@@ -1,8 +1,8 @@
-# New ports collection makefile for:	openldap23-client
-# Date created:				02 May 2005
-# Whom:					Vsevolod Stakhov <vsevolod@highsecure.ru>
+# New ports collection makefile for:	openldap24-client
+# Date created:				22 Apr 2006
+# Whom:					Joerg Pulz <Joerg.Pulz@frm2.tum.de>
 #
-# $FreeBSD: ports/net/openldap23-client/Makefile,v 1.5 2005/09/15 11:47:24 vsevolod Exp $
+# $FreeBSD$
 #
 
 PKGNAMESUFFIX=		-client
@@ -12,6 +12,6 @@
 CLIENT_ONLY=		yes
 WITHOUT_SASL=		yes
 
-MASTERDIR=		${.CURDIR}/../openldap23-server
+MASTERDIR=		${.CURDIR}/../openldap24-server
 
 .include "${MASTERDIR}/Makefile"
--- net_openldap24-client.diff ends here ---
Comment 1 Edwin Groothuis freebsd_committer 2006-04-22 23:26:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->delphij

Over to maintainer
Comment 2 Xin LI freebsd_committer 2006-04-23 07:48:30 UTC
State Changed
From-To: open->repocopy

Repocopy request, assign to portmgr@ 


Comment 3 Xin LI freebsd_committer 2006-04-23 07:48:30 UTC
Responsible Changed
From-To: delphij->portmgr

Repocopy request, assign to portmgr@
Comment 4 Joe Marcus Clarke freebsd_committer 2006-04-29 22:36:26 UTC
State Changed
From-To: repocopy->open

Repocopies completed. 


Comment 5 Joe Marcus Clarke freebsd_committer 2006-04-29 22:36:26 UTC
Responsible Changed
From-To: portmgr->delphij

Repocopies completed.
Comment 6 Xin LI freebsd_committer 2006-05-16 16:56:54 UTC
State Changed
From-To: open->analyzed

Make a note that the update would happen after ports/91902, 
ports/96752 and some other glitches were taken into account, 
and not being forgotten.
Comment 7 Joerg Pulz 2006-05-16 20:20:21 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Hi,

please drop me a short note, when you have finished your work and it is 
committed.
I will make a new patch afterwards, based on your changes to the 
openldap23-* ports, as the 2.4.0alpha release will be outdated very soon, 
the distfile for 2.4.1alpha is already created and downloadable, and the 
announcement should follow very soon.

Thanks for all the hard work
Joerg

- -- 
The beginning is the most important part of the work.
 				-Plato
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (FreeBSD)

iD8DBQFEaiX4SPOsGF+KA+MRAgwXAJ4yrEYSLnMNv2VONTtm95p51tJ+9wCgkTCC
+gNbCSGp1DGZGRWQ6po9Aq4=
=rnT+
-----END PGP SIGNATURE-----
Comment 8 Xin LI freebsd_committer 2006-05-18 18:20:17 UTC
State Changed
From-To: analyzed->feedback

Awaiting feedback for recent OpenLDAP upgrade and the port skeleton update.
Comment 9 Xin LI freebsd_committer 2006-05-26 03:51:20 UTC
State Changed
From-To: feedback->closed

Feedback timeout.  I have committed an update to a newer 
OpenLDAP version and merged my 2.3.x changes together, 
which is based on your patch.  Thanks for your submission!